Index: trunk/ab5.0/abdev/abdev/ProjectControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 617)
+++ trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 618)
@@ -133,9 +133,9 @@
 						if(pobj_ClassTreeView->pProcInfo[i].hTreeItem==hTreeItem){
 
-							if( ProjectInfo.name[0] ){
+							if( projectInfo.name[0] ){
 								// 対象ファイルを開く
 								lstrcpy(temporary,
-									ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[pobj_ClassTreeView->pProcInfo[i].FileNum]->m_path);
-								GetFullPath(temporary,ProjectInfo.dir);
+									projectInfo.pobj_DBFileInfo->ppobj_FileInfo[pobj_ClassTreeView->pProcInfo[i].FileNum]->m_path);
+								GetFullPath(temporary,projectInfo.dir);
 								hChild=OpenFileWithExtension(temporary);
 							}
@@ -179,20 +179,20 @@
 				case IDM_MATERIALTREE_OPEN:
 					hTreeItem=TreeView_GetSelection(hMaterialTreeView);
-					for(i=0;i<static_cast<int>(ProjectInfo.windowInfos.size());i++){
-						if(ProjectInfo.windowInfos[i]->hTreeItem==hTreeItem){
-							NewRadWindow( *ProjectInfo.windowInfos[i] );
+					for(i=0;i<static_cast<int>(projectInfo.windowInfos.size());i++){
+						if(projectInfo.windowInfos[i]->hTreeItem==hTreeItem){
+							NewRadWindow( *projectInfo.windowInfos[i] );
 							break;
 						}
 					}
-					for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-						if(ProjectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
-							NewMenuWindow(&ProjectInfo.pMenuInfo[i]);
+					for(i=0;i<projectInfo.NumberOfMenu;i++){
+						if(projectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
+							NewMenuWindow(&projectInfo.pMenuInfo[i]);
 							break;
 						}
 					}
-					for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-						if(ProjectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
-							lstrcpy(temporary,ProjectInfo.res.pIconResInfo[i].path);
-							GetFullPath(temporary,ProjectInfo.dir);
+					for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+						if(projectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
+							lstrcpy(temporary,projectInfo.res.pIconResInfo[i].path);
+							GetFullPath(temporary,projectInfo.dir);
 							NewIconEditWindow(temporary);
 							break;
@@ -202,9 +202,9 @@
 				case IDM_MATERIALTREE_DELETE:
 					hTreeItem=TreeView_GetSelection(hMaterialTreeView);
-					for(i=0;i<ProjectInfo.res.NumberOfCursorRes;i++){
-						if(ProjectInfo.res.pCursorResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfCursorRes;i++){
+						if(projectInfo.res.pCursorResInfo[i].hTreeItem==hTreeItem){
 
 							//"%s カーソルをプロジェクトから削除します。よろしいですか？"
-							sprintf(str,STRING_PJ_CHECK_DELETECURSOR,ProjectInfo.res.pCursorResInfo[i].IdName);
+							sprintf(str,STRING_PJ_CHECK_DELETECURSOR,projectInfo.res.pCursorResInfo[i].IdName);
 							if(IDCANCEL==MessageBox(hOwner,str,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) break;
 
@@ -213,9 +213,9 @@
 						}
 					}
-					for(i=0;i<ProjectInfo.res.NumberOfBitmapRes;i++){
-						if(ProjectInfo.res.pBitmapResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfBitmapRes;i++){
+						if(projectInfo.res.pBitmapResInfo[i].hTreeItem==hTreeItem){
 
 							//"%s ビットマップをプロジェクトから削除します。よろしいですか？"
-							sprintf(str,STRING_PJ_CHECK_DELETEBITMAP,ProjectInfo.res.pBitmapResInfo[i].IdName);
+							sprintf(str,STRING_PJ_CHECK_DELETEBITMAP,projectInfo.res.pBitmapResInfo[i].IdName);
 							if(IDCANCEL==MessageBox(hOwner,str,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) break;
 
@@ -224,9 +224,9 @@
 						}
 					}
-					for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-						if(ProjectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+						if(projectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
 
 							//"%s アイコンをプロジェクトから削除します。よろしいですか？"
-							sprintf(str,STRING_PJ_CHECK_DELETEICON,ProjectInfo.res.pIconResInfo[i].IdName);
+							sprintf(str,STRING_PJ_CHECK_DELETEICON,projectInfo.res.pIconResInfo[i].IdName);
 							if(IDCANCEL==MessageBox(hOwner,str,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) break;
 
@@ -235,9 +235,9 @@
 						}
 					}
-					for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-						if(ProjectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.NumberOfMenu;i++){
+						if(projectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
 
 							//"%s メニューをプロジェクトから削除します。よろしいですか？"
-							sprintf(str,STRING_PJ_CHECK_DELETEMENU,ProjectInfo.pMenuInfo[i].IdName);
+							sprintf(str,STRING_PJ_CHECK_DELETEMENU,projectInfo.pMenuInfo[i].IdName);
 							if(IDCANCEL==MessageBox(hOwner,str,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) break;
 
@@ -246,9 +246,9 @@
 						}
 					}
-					for(i=0;i<static_cast<int>(ProjectInfo.windowInfos.size());i++){
-						if(ProjectInfo.windowInfos[i]->hTreeItem==hTreeItem){
+					for(i=0;i<static_cast<int>(projectInfo.windowInfos.size());i++){
+						if(projectInfo.windowInfos[i]->hTreeItem==hTreeItem){
 
 							//"%s ウィンドウをプロジェクトから削除します。よろしいですか？"
-							sprintf(str,STRING_PJ_CHECK_DELETEWINDOW,ProjectInfo.windowInfos[i]->GetName().c_str());
+							sprintf(str,STRING_PJ_CHECK_DELETEWINDOW,projectInfo.windowInfos[i]->GetName().c_str());
 							if(IDCANCEL==MessageBox(hOwner,str,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) break;
 
@@ -261,29 +261,29 @@
 					extern char NewIdName[MAX_PATH];
 					hTreeItem=TreeView_GetSelection(hMaterialTreeView);
-					for(i=0;i<ProjectInfo.res.NumberOfCursorRes;i++){
-						if(ProjectInfo.res.pCursorResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfCursorRes;i++){
+						if(projectInfo.res.pCursorResInfo[i].hTreeItem==hTreeItem){
 							Project_Cursor_RenameID(i);
 							break;
 						}
 					}
-					for(i=0;i<ProjectInfo.res.NumberOfBitmapRes;i++){
-						if(ProjectInfo.res.pBitmapResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfBitmapRes;i++){
+						if(projectInfo.res.pBitmapResInfo[i].hTreeItem==hTreeItem){
 							Project_Bitmap_RenameID(i);
 							break;
 						}
 					}
-					for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-						if(ProjectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+						if(projectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
 							Project_Icon_RenameID(i);
 						}
 					}
-					for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-						if(ProjectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
-							if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_MenuID_Input,(long)ProjectInfo.pMenuInfo[i].IdName)) break;
+					for(i=0;i<projectInfo.NumberOfMenu;i++){
+						if(projectInfo.pMenuInfo[i].hTreeItem==hTreeItem){
+							if(!DialogBoxParam(hResInst,MAKEINTRESOURCE(IDD_INPUTID),hOwner,(DLGPROC)DlgProject_MenuID_Input,(long)projectInfo.pMenuInfo[i].IdName)) break;
 
 							//重複チェック
-							for(i2=0;i2<ProjectInfo.NumberOfMenu;i2++){
+							for(i2=0;i2<projectInfo.NumberOfMenu;i2++){
 								if(i2==i) continue;
-								if(lstrcmp(NewIdName,ProjectInfo.pMenuInfo[i2].IdName)==0){
+								if(lstrcmp(NewIdName,projectInfo.pMenuInfo[i2].IdName)==0){
 									//"ID \"%s\" は既にプロジェクト内に存在します。"
 									sprintf(temporary,STRING_DUPLICATIONERROR_ID_IN_PROJECT,NewIdName);
@@ -293,15 +293,15 @@
 							}
 
-							HeapDefaultFree(ProjectInfo.pMenuInfo[i].IdName);
-							ProjectInfo.pMenuInfo[i].IdName=(char *)HeapAlloc(hHeap,0,lstrlen(NewIdName)+1);
-							lstrcpy(ProjectInfo.pMenuInfo[i].IdName,NewIdName);
+							HeapDefaultFree(projectInfo.pMenuInfo[i].IdName);
+							projectInfo.pMenuInfo[i].IdName=(char *)HeapAlloc(hHeap,0,lstrlen(NewIdName)+1);
+							lstrcpy(projectInfo.pMenuInfo[i].IdName,NewIdName);
 
 							tvItem.hItem=hTreeItem;
 							tvItem.mask=TVIF_TEXT;
-							tvItem.pszText=ProjectInfo.pMenuInfo[i].IdName;
-							tvItem.cchTextMax=lstrlen(ProjectInfo.pMenuInfo[i].IdName)+1;
+							tvItem.pszText=projectInfo.pMenuInfo[i].IdName;
+							tvItem.cchTextMax=lstrlen(projectInfo.pMenuInfo[i].IdName)+1;
 							TreeView_SetItem(hMaterialTreeView,&tvItem);
 
-							ProjectInfo.ModifyOfMaterial=1;
+							projectInfo.ModifyOfMaterial=1;
 
 							TreeView_SortChildren(hMaterialTreeView,
@@ -315,27 +315,27 @@
 					RESITEMINFO TempIconResInfo;
 					hTreeItem=TreeView_GetSelection(hMaterialTreeView);
-					for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-						if(ProjectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
+					for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+						if(projectInfo.res.pIconResInfo[i].hTreeItem==hTreeItem){
 							if(i==0) break;
 
-							TempIconResInfo=ProjectInfo.res.pIconResInfo[i];
+							TempIconResInfo=projectInfo.res.pIconResInfo[i];
 							for(;i>0;i--)
-								ProjectInfo.res.pIconResInfo[i]=ProjectInfo.res.pIconResInfo[i-1];
-							ProjectInfo.res.pIconResInfo[0]=TempIconResInfo;
-
-							tvItem.hItem=ProjectInfo.res.pIconResInfo[1].hTreeItem;
+								projectInfo.res.pIconResInfo[i]=projectInfo.res.pIconResInfo[i-1];
+							projectInfo.res.pIconResInfo[0]=TempIconResInfo;
+
+							tvItem.hItem=projectInfo.res.pIconResInfo[1].hTreeItem;
 							tvItem.mask=TVIF_TEXT;
-							tvItem.pszText=ProjectInfo.res.pIconResInfo[1].IdName;
-							tvItem.cchTextMax=lstrlen(ProjectInfo.res.pIconResInfo[1].IdName)+1;
+							tvItem.pszText=projectInfo.res.pIconResInfo[1].IdName;
+							tvItem.cchTextMax=lstrlen(projectInfo.res.pIconResInfo[1].IdName)+1;
 							TreeView_SetItem(hMaterialTreeView,&tvItem);
 
-							tvItem.hItem=ProjectInfo.res.pIconResInfo[0].hTreeItem;
+							tvItem.hItem=projectInfo.res.pIconResInfo[0].hTreeItem;
 							tvItem.mask=TVIF_TEXT;
-							sprintf(temporary,"%s (Main)",ProjectInfo.res.pIconResInfo[0].IdName);
+							sprintf(temporary,"%s (Main)",projectInfo.res.pIconResInfo[0].IdName);
 							tvItem.pszText=temporary;
 							tvItem.cchTextMax=lstrlen(temporary)+1;
 							TreeView_SetItem(hMaterialTreeView,&tvItem);
 
-							ProjectInfo.ModifuOfResource=1;
+							projectInfo.ModifuOfResource=1;
 							break;
 						}
@@ -559,6 +559,6 @@
 
 			hOldFont=(HFONT)SelectObject(hdc,hStatusFont);
-			if( ProjectInfo.name[0] ){
-				sprintf(temporary,"%s \'%s\'",STRING_PROJECT,ProjectInfo.name);
+			if( projectInfo.name[0] ){
+				sprintf(temporary,"%s \'%s\'",STRING_PROJECT,projectInfo.name);
 			}
 			else{
@@ -649,8 +649,8 @@
 	char temporary[MAX_PATH],temp2[MAX_PATH];
 
-	GetRelationalPath(path,ProjectInfo.dir);
+	GetRelationalPath(path,projectInfo.dir);
 
 	//重複チェック
-	if(ProjectInfo.pobj_DBFileInfo->dupli_check(path)){
+	if(projectInfo.pobj_DBFileInfo->dupli_check(path)){
 		//"\"%s\" ファイルは既にプロジェクト内に存在します。"
 		sprintf(temporary,STRING_DUPLICATIONERROR_FILE_IN_PROJECT,path);
@@ -668,9 +668,9 @@
 
 
-	//ProjectInfo.ppobj_DBFileInfoオブジェクトに追加
-	ProjectInfo.pobj_DBFileInfo->add(path,hTreeItem);
-
-
-	ProjectInfo.modify=1;
+	//projectInfo.ppobj_DBFileInfoオブジェクトに追加
+	projectInfo.pobj_DBFileInfo->add(path,hTreeItem);
+
+
+	projectInfo.modify=1;
 
 	//ファイル操作によるクラスビューの再表示
@@ -680,5 +680,5 @@
 	extern HANDLE hHeap;
 
-	if(ProjectInfo.pobj_DBFileInfo->IsMainFile(hTreeItem)){
+	if(projectInfo.pobj_DBFileInfo->IsMainFile(hTreeItem)){
 		//"このファイルはプロジェクトのメイン ファイルです。プロジェクト内から削除することはできません。"
 		MessageBox(hOwner,STRING_ERROR_CANT_MAINFILE,STRING_ERROR,MB_OK|MB_ICONEXCLAMATION);
@@ -689,8 +689,8 @@
 	TreeView_DeleteItem(pobj_FileTree->hTree,hTreeItem);
 
-	//ProjectInfo.pobj_DBFileInfoオブジェクトから削除
-	ProjectInfo.pobj_DBFileInfo->del(hTreeItem);
-
-	ProjectInfo.modify=1;
+	//projectInfo.pobj_DBFileInfoオブジェクトから削除
+	projectInfo.pobj_DBFileInfo->del(hTreeItem);
+
+	projectInfo.modify=1;
 
 	//ファイル操作によるクラスビューの再表示
@@ -707,5 +707,5 @@
 
 	//既にプロジェクトが開かれている場合は閉じる
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 		if(!CloseProject()) return;
 	}
@@ -1078,5 +1078,5 @@
 		sprintf(temporary,"%s%s.wnd",dir,NewProjectInfo.name);
 
-		ProjectInfo.NumberOfMenu=0;
+		projectInfo.NumberOfMenu=0;
 		SaveWindowFile( temporary, windowInfos );
 
@@ -1119,5 +1119,5 @@
 	TV_INSERTSTRUCT tv;
 
-	sprintf(temporary,"%s ",ProjectInfo.name);
+	sprintf(temporary,"%s ",projectInfo.name);
 	lstrcat(temporary,STRING_PROJECT);
 	SetWindowText(hProjectView,temporary);
@@ -1127,5 +1127,5 @@
 
 	//ファイル ツリー
-	ProjectInfo.pobj_DBFileInfo->ResetTree();
+	projectInfo.pobj_DBFileInfo->ResetTree();
 
 	//関数ツリー
@@ -1142,10 +1142,10 @@
 	tv.item.pszText=temporary;
 	tv.hParent=TreeView_InsertItem(hMaterialTreeView,&tv);
-	ProjectInfo.res.hCursorTreeItem=tv.hParent;
-	for(i=0;i<ProjectInfo.res.NumberOfCursorRes;i++){
+	projectInfo.res.hCursorTreeItem=tv.hParent;
+	for(i=0;i<projectInfo.res.NumberOfCursorRes;i++){
 		tv.item.iImage=6;
 		tv.item.iSelectedImage=6;
-		tv.item.pszText=ProjectInfo.res.pCursorResInfo[i].IdName;
-		ProjectInfo.res.pCursorResInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
+		tv.item.pszText=projectInfo.res.pCursorResInfo[i].IdName;
+		projectInfo.res.pCursorResInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
 	}
 
@@ -1157,10 +1157,10 @@
 	tv.item.pszText=temporary;
 	tv.hParent=TreeView_InsertItem(hMaterialTreeView,&tv);
-	ProjectInfo.res.hBitmapTreeItem=tv.hParent;
-	for(i=0;i<ProjectInfo.res.NumberOfBitmapRes;i++){
+	projectInfo.res.hBitmapTreeItem=tv.hParent;
+	for(i=0;i<projectInfo.res.NumberOfBitmapRes;i++){
 		tv.item.iImage=5;
 		tv.item.iSelectedImage=5;
-		tv.item.pszText=ProjectInfo.res.pBitmapResInfo[i].IdName;
-		ProjectInfo.res.pBitmapResInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
+		tv.item.pszText=projectInfo.res.pBitmapResInfo[i].IdName;
+		projectInfo.res.pBitmapResInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
 	}
 
@@ -1172,14 +1172,14 @@
 	tv.item.pszText=temporary;
 	tv.hParent=TreeView_InsertItem(hMaterialTreeView,&tv);
-	ProjectInfo.res.hIconTreeItem=tv.hParent;
-	for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
+	projectInfo.res.hIconTreeItem=tv.hParent;
+	for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
 		tv.item.iImage=4;
 		tv.item.iSelectedImage=4;
 		if(i==0){
-			sprintf(temporary,"%s (Main)",ProjectInfo.res.pIconResInfo[i].IdName);
+			sprintf(temporary,"%s (Main)",projectInfo.res.pIconResInfo[i].IdName);
 			tv.item.pszText=temporary;
 		}
-		else tv.item.pszText=ProjectInfo.res.pIconResInfo[i].IdName;
-		ProjectInfo.res.pIconResInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
+		else tv.item.pszText=projectInfo.res.pIconResInfo[i].IdName;
+		projectInfo.res.pIconResInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
 	}
 
@@ -1190,10 +1190,10 @@
 	tv.item.pszText="Menu";
 	tv.hParent=TreeView_InsertItem(hMaterialTreeView,&tv);
-	ProjectInfo.hMenuTreeItem=tv.hParent;
-	for(i=0;i<ProjectInfo.NumberOfMenu;i++){
+	projectInfo.hMenuTreeItem=tv.hParent;
+	for(i=0;i<projectInfo.NumberOfMenu;i++){
 		tv.item.iImage=3;
 		tv.item.iSelectedImage=3;
-		tv.item.pszText=ProjectInfo.pMenuInfo[i].IdName;
-		ProjectInfo.pMenuInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
+		tv.item.pszText=projectInfo.pMenuInfo[i].IdName;
+		projectInfo.pMenuInfo[i].hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
 	}
 
@@ -1204,6 +1204,6 @@
 	tv.item.pszText="Window";
 	tv.hParent=TreeView_InsertItem(hMaterialTreeView,&tv);
-	ProjectInfo.hWindowTreeItem=tv.hParent;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	projectInfo.hWindowTreeItem=tv.hParent;
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		tv.item.iImage=2;
@@ -1221,25 +1221,25 @@
 
 	//既にプロジェクトが開かれている場合は閉じる
-	if(ProjectInfo.name[0]){
+	if(projectInfo.name[0]){
 		if(!CloseProject()) return;
 	}
-	memset(&ProjectInfo,0,sizeof(PROJECTINFO));
+	//memset(&projectInfo,0,sizeof(PROJECTINFO));
 
 	//プロジェクトの作業ディレクトリを取得
-	_splitpath(path,ProjectInfo.dir,temporary,0,0);
-	lstrcat(ProjectInfo.dir,temporary);
+	_splitpath(path,projectInfo.dir,temporary,0,0);
+	lstrcat(projectInfo.dir,temporary);
 
 	//ファイルを開く、保存の初期ディレクトリをセット
-	lstrcpy(pobj_nv->DefSaveDir,ProjectInfo.dir);
+	lstrcpy(pobj_nv->DefSaveDir,projectInfo.dir);
 
 
 	//////////////////////////////////////////
 	// リソースデータ用領域を確保
-	ProjectInfo.res.pCursorResInfo=(RESITEMINFO *)HeapAlloc(hHeap,0,1);
-	ProjectInfo.res.NumberOfCursorRes=0;
-	ProjectInfo.res.pBitmapResInfo=(RESITEMINFO *)HeapAlloc(hHeap,0,1);
-	ProjectInfo.res.NumberOfBitmapRes=0;
-	ProjectInfo.res.pIconResInfo=(RESITEMINFO *)HeapAlloc(hHeap,0,1);
-	ProjectInfo.res.NumberOfIconRes=0;
+	projectInfo.res.pCursorResInfo=(RESITEMINFO *)HeapAlloc(hHeap,0,1);
+	projectInfo.res.NumberOfCursorRes=0;
+	projectInfo.res.pBitmapResInfo=(RESITEMINFO *)HeapAlloc(hHeap,0,1);
+	projectInfo.res.NumberOfBitmapRes=0;
+	projectInfo.res.pIconResInfo=(RESITEMINFO *)HeapAlloc(hHeap,0,1);
+	projectInfo.res.NumberOfIconRes=0;
 
 
@@ -1250,5 +1250,5 @@
 
 	//解析
-	ProjectInfo.pobj_DBFileInfo=new CDBFileInfo();
+	projectInfo.pobj_DBFileInfo=new CDBFileInfo();
 	bool isUseWindow = false;
 	for(i=0;;i++){
@@ -1271,5 +1271,5 @@
 					temporary[i2]=buffer[i];
 				}
-				ProjectInfo.dwVersion=GetValue(temporary);
+				projectInfo.dwVersion=GetValue(temporary);
 			}
 			else if(lstrcmpi(temporary,"MODULETYPE")==0&&buffer[i]=='='){
@@ -1282,13 +1282,13 @@
 					temporary[i2]=buffer[i];
 				}
-				ProjectInfo.dwModuleType=atoi(temporary);
+				projectInfo.dwModuleType=atoi(temporary);
 			}
 			else if(lstrcmpi(temporary,"NAME")==0&&buffer[i]=='='){
 				for(i++,i2=0;;i++,i2++){
 					if((buffer[i]=='\r'&&buffer[i+1]=='\n')||buffer[i]=='\0'){
-						ProjectInfo.name[i2]=0;
+						projectInfo.name[i2]=0;
 						break;
 					}
-					ProjectInfo.name[i2]=buffer[i];
+					projectInfo.name[i2]=buffer[i];
 				}
 			}
@@ -1337,5 +1337,5 @@
 					temporary[i2]=buffer[i];
 				}
-				ProjectInfo.dwOption=GetValue(temporary);
+				projectInfo.dwOption=GetValue(temporary);
 			}
 			else if(lstrcmpi(temporary,"OUTPUT_RELEASE")==0&&buffer[i]=='='){
@@ -1348,5 +1348,5 @@
 					temporary[i2]=buffer[i];
 				}
-				lstrcpy(ProjectInfo.lpszOutput_Release,temporary);
+				lstrcpy(projectInfo.lpszOutput_Release,temporary);
 			}
 			else if(lstrcmpi(temporary,"OUTPUT_DEBUG")==0&&buffer[i]=='='){
@@ -1359,5 +1359,5 @@
 					temporary[i2]=buffer[i];
 				}
-				lstrcpy(ProjectInfo.lpszOutput_Debug,temporary);
+				lstrcpy(projectInfo.lpszOutput_Debug,temporary);
 			}
 			else if(lstrcmpi(temporary,"MANIFEST")==0&&buffer[i]=='='){
@@ -1370,5 +1370,5 @@
 					temporary[i2]=buffer[i];
 				}
-				lstrcpy(ProjectInfo.szManifestPath,temporary);
+				lstrcpy(projectInfo.szManifestPath,temporary);
 			}
 			else if(lstrcmpi(temporary,"DEBUG_CMD_LINE")==0&&buffer[i]=='='){
@@ -1381,5 +1381,5 @@
 					temporary[i2]=buffer[i];
 				}
-				lstrcpy(ProjectInfo.szCmdLine,temporary);
+				lstrcpy(projectInfo.szCmdLine,temporary);
 			}
 			else if(lstrcmpi(temporary,"DEBUG_EXE_PATH")==0&&buffer[i]=='='){
@@ -1392,5 +1392,5 @@
 					temporary[i2]=buffer[i];
 				}
-				lstrcpy(ProjectInfo.szExePath,temporary);
+				lstrcpy(projectInfo.szExePath,temporary);
 			}
 			else if(lstrcmpi(temporary,"RESOURCE")==0&&buffer[i]=='='){
@@ -1404,9 +1404,9 @@
 				}
 				if(temporary[0]!='\0'&&(!(temporary[0]=='0'&&temporary[1]=='\0'))){
-					lstrcpy(ProjectInfo.ResourceFileName,temporary);
+					lstrcpy(projectInfo.ResourceFileName,temporary);
 					GetResourceData();
 				}
 				else{
-					sprintf(ProjectInfo.ResourceFileName,"%s.rc",ProjectInfo.name);
+					sprintf(projectInfo.ResourceFileName,"%s.rc",projectInfo.name);
 				}
 			}
@@ -1421,5 +1421,5 @@
 					}
 					if(temporary[0]=='\0') break;
-					ProjectInfo.pobj_DBFileInfo->add(temporary,0);
+					projectInfo.pobj_DBFileInfo->add(temporary,0);
 
 					if(buffer[i]=='\0') break;
@@ -1441,13 +1441,13 @@
 
 	//古いバージョンファイルを考慮
-	if(ProjectInfo.dwVersion<=4){
-		if(ProjectInfo.dwModuleType==MT_DLL)
-			sprintf(ProjectInfo.lpszOutput_Release,".\\%s.dll",ProjectInfo.name);
-		else sprintf(ProjectInfo.lpszOutput_Release,".\\%s.exe",ProjectInfo.name);
-		sprintf(ProjectInfo.lpszOutput_Debug,".\\%s_debug.exe",ProjectInfo.name);
+	if(projectInfo.dwVersion<=4){
+		if(projectInfo.dwModuleType==MT_DLL)
+			sprintf(projectInfo.lpszOutput_Release,".\\%s.dll",projectInfo.name);
+		else sprintf(projectInfo.lpszOutput_Release,".\\%s.exe",projectInfo.name);
+		sprintf(projectInfo.lpszOutput_Debug,".\\%s_debug.exe",projectInfo.name);
 	}
 
 	//ブレークポイントを初期化
-	ProjectInfo.pobj_DBBreakPoint=new CDBBreakPoint();
+	projectInfo.pobj_DBBreakPoint=new CDBBreakPoint();
 
 
@@ -1456,12 +1456,12 @@
 		/////////////////////////////////////////////
 		//ウィンドウ定義ファイル（*.wnd）をオープン
-		sprintf(temp2,"%s%s.wnd",ProjectInfo.dir,ProjectInfo.name);
+		sprintf(temp2,"%s%s.wnd",projectInfo.dir,projectInfo.name);
 		if(!OpenWindowFile(temp2)) return;
 	}
 	else{
-		ProjectInfo.windowInfos.Clear();
-
-		ProjectInfo.NumberOfMenu=0;
-		ProjectInfo.pMenuInfo=(MENU_INFO *)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,1);
+		projectInfo.windowInfos.Clear();
+
+		projectInfo.NumberOfMenu=0;
+		projectInfo.pMenuInfo=(MENU_INFO *)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,1);
 	}
 
@@ -1485,5 +1485,5 @@
 	HWND hChild;
 	int WndNum;
-	sprintf(temp2,"%s%s.wrk",ProjectInfo.dir,ProjectInfo.name);
+	sprintf(temp2,"%s%s.wrk",projectInfo.dir,projectInfo.name);
 	hFind=FindFirstFile(temp2,&wfd);
 	if(hFind!=INVALID_HANDLE_VALUE){
@@ -1520,5 +1520,5 @@
 								temporary[i3]=temp2[i2];
 							}
-							GetFullPath(temporary,ProjectInfo.dir);
+							GetFullPath(temporary,projectInfo.dir);
 							hChild=OpenFileWithExtension(temporary);
 							WndNum=GetWndNum(hChild);
@@ -1584,7 +1584,7 @@
 						}
 						else if(lstrcmpi(temporary,"rad")==0){
-							for(i3=0;i3<static_cast<int>(ProjectInfo.windowInfos.size());i3++){
-								if(lstrcmpi(ProjectInfo.windowInfos[i3]->GetName().c_str(),temp2)==0){
-									NewRadWindow( *ProjectInfo.windowInfos[i3] );
+							for(i3=0;i3<static_cast<int>(projectInfo.windowInfos.size());i3++){
+								if(lstrcmpi(projectInfo.windowInfos[i3]->GetName().c_str(),temp2)==0){
+									NewRadWindow( *projectInfo.windowInfos[i3] );
 									break;
 								}
@@ -1592,7 +1592,7 @@
 						}
 						else if(lstrcmpi(temporary,"menu")==0){
-							for(i3=0;i3<ProjectInfo.NumberOfMenu;i3++){
-								if(lstrcmpi(ProjectInfo.pMenuInfo[i3].IdName,temp2)==0){
-									NewMenuWindow(&ProjectInfo.pMenuInfo[i3]);
+							for(i3=0;i3<projectInfo.NumberOfMenu;i3++){
+								if(lstrcmpi(projectInfo.pMenuInfo[i3].IdName,temp2)==0){
+									NewMenuWindow(&projectInfo.pMenuInfo[i3]);
 									break;
 								}
@@ -1600,7 +1600,7 @@
 						}
 						else if(lstrcmpi(temporary,"icon")==0){
-							for(i3=0;i3<ProjectInfo.res.NumberOfIconRes;i3++){
-								if(lstrcmpi(ProjectInfo.res.pIconResInfo[i3].path,temp2)==0){
-									GetFullPath(temp2,ProjectInfo.dir);
+							for(i3=0;i3<projectInfo.res.NumberOfIconRes;i3++){
+								if(lstrcmpi(projectInfo.res.pIconResInfo[i3].path,temp2)==0){
+									GetFullPath(temp2,projectInfo.dir);
 									NewIconEditWindow(temp2);
 									break;
@@ -1695,5 +1695,5 @@
 							lstrcpy(temporary,temp2+i3+1);
 							temp2[i3]=0;
-							GetFullPath(temporary,ProjectInfo.dir);
+							GetFullPath(temporary,projectInfo.dir);
 							sscanf(temp2,"%d",&i3);
 
@@ -1706,7 +1706,7 @@
 						}
 						else if(lstrcmpi(temporary,"rad")==0){
-							for(i3=0;i3<static_cast<int>(ProjectInfo.windowInfos.size());i3++){
-								if(lstrcmpi(ProjectInfo.windowInfos[i3]->GetName().c_str(),temp2)==0){
-									NewRadWindow( *ProjectInfo.windowInfos[i3] );
+							for(i3=0;i3<static_cast<int>(projectInfo.windowInfos.size());i3++){
+								if(lstrcmpi(projectInfo.windowInfos[i3]->GetName().c_str(),temp2)==0){
+									NewRadWindow( *projectInfo.windowInfos[i3] );
 									break;
 								}
@@ -1714,7 +1714,7 @@
 						}
 						else if(lstrcmpi(temporary,"menu")==0){
-							for(i3=0;i3<ProjectInfo.NumberOfMenu;i3++){
-								if(lstrcmpi(ProjectInfo.pMenuInfo[i3].IdName,temp2)==0){
-									NewMenuWindow(&ProjectInfo.pMenuInfo[i3]);
+							for(i3=0;i3<projectInfo.NumberOfMenu;i3++){
+								if(lstrcmpi(projectInfo.pMenuInfo[i3].IdName,temp2)==0){
+									NewMenuWindow(&projectInfo.pMenuInfo[i3]);
 									break;
 								}
@@ -1722,7 +1722,7 @@
 						}
 						else if(lstrcmpi(temporary,"icon")==0){
-							for(i3=0;i3<ProjectInfo.res.NumberOfIconRes;i3++){
-								if(lstrcmpi(ProjectInfo.res.pIconResInfo[i3].path,temp2)==0){
-									GetFullPath(temp2,ProjectInfo.dir);
+							for(i3=0;i3<projectInfo.res.NumberOfIconRes;i3++){
+								if(lstrcmpi(projectInfo.res.pIconResInfo[i3].path,temp2)==0){
+									GetFullPath(temp2,projectInfo.dir);
 									NewIconEditWindow(temp2);
 									break;
@@ -1802,11 +1802,11 @@
 
 	//ウィンドウ タイトルを変更
-	sprintf(temporary,"%s - %s",ProjectInfo.name,APPLICATION_NAME);
+	sprintf(temporary,"%s - %s",projectInfo.name,APPLICATION_NAME);
 	SetWindowText(hOwner,temporary);
 
 
-	ProjectInfo.modify=0;
-	ProjectInfo.ModifyOfMaterial=0;
-	ProjectInfo.ModifuOfResource=0;
+	projectInfo.modify=0;
+	projectInfo.ModifyOfMaterial=0;
+	projectInfo.ModifuOfResource=0;
 }
 BOOL ProjectModifyCheck(BOOL bRun){
@@ -1815,8 +1815,8 @@
 	HWND hChild;
 	char temporary[MAX_PATH];
-	if(ProjectInfo.modify||ProjectInfo.ModifyOfMaterial||ProjectInfo.ModifuOfResource){
+	if(projectInfo.modify||projectInfo.ModifyOfMaterial||projectInfo.ModifuOfResource){
 		if(bRun==0||pobj_nv->bSaveCheckProject){
 			//"\"%s\" プロジェクトは変更されています。保存しますか？"
-			sprintf(temporary,STRING_MODIFYCHECK_PROJECT,ProjectInfo.name);
+			sprintf(temporary,STRING_MODIFYCHECK_PROJECT,projectInfo.name);
 			i=MessageBox(hOwner,temporary,APPLICATION_NAME,MB_YESNOCANCEL|MB_ICONEXCLAMATION);
 
@@ -1833,6 +1833,6 @@
 		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum].DocType)){
 			if( MdiInfo[WndNum].pMdiTextEdit->IsModified() ){
-				for(i=0;i<ProjectInfo.pobj_DBFileInfo->iNum;i++){
-					ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
+				for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
+					projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
 					if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0) sw=1;
 				}
@@ -1841,7 +1841,7 @@
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
 			if(MdiInfo[WndNum].MdiIconEditInfo->bModify){
-				for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-					lstrcpy(temporary,ProjectInfo.res.pIconResInfo[i].path);
-					GetFullPath(temporary,ProjectInfo.dir);
+				for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+					lstrcpy(temporary,projectInfo.res.pIconResInfo[i].path);
+					GetFullPath(temporary,projectInfo.dir);
 					if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0) sw=1;
 				}
@@ -1852,5 +1852,5 @@
 			if(bRun==0||pobj_nv->bSaveCheckProject){
 				//"\"%s\" プロジェクトは変更されています。保存しますか？"
-				sprintf(temporary,STRING_MODIFYCHECK_PROJECT,ProjectInfo.name);
+				sprintf(temporary,STRING_MODIFYCHECK_PROJECT,projectInfo.name);
 				i=MessageBox(hOwner,temporary,APPLICATION_NAME,MB_YESNOCANCEL|MB_ICONEXCLAMATION);
 
@@ -1885,6 +1885,6 @@
 		WndNum=GetWndNum(hCloseChild);
 		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum].DocType)){
-			for(i=0;i<ProjectInfo.pobj_DBFileInfo->iNum;i++){
-				ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
+			for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
+				projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
 				if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
 
@@ -1898,5 +1898,5 @@
 		}
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_RAD){
-			BOOST_FOREACH( const WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+			BOOST_FOREACH( const WindowInfo *pWindowInfo, projectInfo.windowInfos )
 			{
 				if( pWindowInfo->GetName() == MdiInfo[WndNum].path ){
@@ -1907,6 +1907,6 @@
 		}
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_MENU){
-			for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-				if(lstrcmp(MdiInfo[WndNum].path,ProjectInfo.pMenuInfo[i].IdName)==0){
+			for(i=0;i<projectInfo.NumberOfMenu;i++){
+				if(lstrcmp(MdiInfo[WndNum].path,projectInfo.pMenuInfo[i].IdName)==0){
 					SendMessage(hCloseChild,WM_CLOSE,0,0);
 					break;
@@ -1915,7 +1915,7 @@
 		}
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
-			for(i=0;ProjectInfo.res.NumberOfIconRes;i++){
-				lstrcpy(temporary,ProjectInfo.res.pIconResInfo[i].path);
-				GetFullPath(temporary,ProjectInfo.dir);
+			for(i=0;projectInfo.res.NumberOfIconRes;i++){
+				lstrcpy(temporary,projectInfo.res.pIconResInfo[i].path);
+				GetFullPath(temporary,projectInfo.dir);
 				if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
 					SendMessage(hCloseChild,WM_CLOSE,0,0);
@@ -1927,11 +1927,11 @@
 
 	//ファイル情報のメモリを解放
-	delete ProjectInfo.pobj_DBFileInfo;
+	delete projectInfo.pobj_DBFileInfo;
 
 	//ブレークポイントのオブジェクトを解放
-	delete ProjectInfo.pobj_DBBreakPoint;
+	delete projectInfo.pobj_DBBreakPoint;
 
 	//ウィンドウ情報のメモリを解放
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		HeapDefaultFree(pWindowInfo->caption);
@@ -1957,26 +1957,26 @@
 		pWindowInfo->childWindowInfos.clear();
 	}
-	ProjectInfo.windowInfos.Clear();
+	projectInfo.windowInfos.Clear();
 
 	//メニュー情報のメモリを解放
-	HeapMenuDataFree(ProjectInfo.pMenuInfo,ProjectInfo.NumberOfMenu,0);
-	HeapDefaultFree(ProjectInfo.pMenuInfo);
+	HeapMenuDataFree(projectInfo.pMenuInfo,projectInfo.NumberOfMenu,0);
+	HeapDefaultFree(projectInfo.pMenuInfo);
 
 	//リソースのメモリを解放
-	for(i=0;i<ProjectInfo.res.NumberOfCursorRes;i++){
-		HeapDefaultFree(ProjectInfo.res.pCursorResInfo[i].IdName);
-		HeapDefaultFree(ProjectInfo.res.pCursorResInfo[i].path);
-	}
-	HeapDefaultFree(ProjectInfo.res.pCursorResInfo);
-	for(i=0;i<ProjectInfo.res.NumberOfBitmapRes;i++){
-		HeapDefaultFree(ProjectInfo.res.pBitmapResInfo[i].IdName);
-		HeapDefaultFree(ProjectInfo.res.pBitmapResInfo[i].path);
-	}
-	HeapDefaultFree(ProjectInfo.res.pBitmapResInfo);
-	for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-		HeapDefaultFree(ProjectInfo.res.pIconResInfo[i].IdName);
-		HeapDefaultFree(ProjectInfo.res.pIconResInfo[i].path);
-	}
-	HeapDefaultFree(ProjectInfo.res.pIconResInfo);
+	for(i=0;i<projectInfo.res.NumberOfCursorRes;i++){
+		HeapDefaultFree(projectInfo.res.pCursorResInfo[i].IdName);
+		HeapDefaultFree(projectInfo.res.pCursorResInfo[i].path);
+	}
+	HeapDefaultFree(projectInfo.res.pCursorResInfo);
+	for(i=0;i<projectInfo.res.NumberOfBitmapRes;i++){
+		HeapDefaultFree(projectInfo.res.pBitmapResInfo[i].IdName);
+		HeapDefaultFree(projectInfo.res.pBitmapResInfo[i].path);
+	}
+	HeapDefaultFree(projectInfo.res.pBitmapResInfo);
+	for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+		HeapDefaultFree(projectInfo.res.pIconResInfo[i].IdName);
+		HeapDefaultFree(projectInfo.res.pIconResInfo[i].path);
+	}
+	HeapDefaultFree(projectInfo.res.pIconResInfo);
 
 	//プロジェクト ビューを非表示にする
@@ -1992,5 +1992,5 @@
 	SetWindowText(hOwner,APPLICATION_NAME);
 
-	ProjectInfo.name[0]=0;
+	projectInfo.name[0]=0;
 
 	//メニュー状態を設定
@@ -2017,6 +2017,6 @@
 		WndNum=GetWndNum(hChild);
 		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum].DocType)){
-			for(i=0;i<ProjectInfo.pobj_DBFileInfo->iNum;i++){
-				ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
+			for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
+				projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
 				if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
 					TextEdit_GetSel(WndNum,&CharRange);
@@ -2032,5 +2032,5 @@
 
 					sprintf(buffer+i2,"text,\"%s\",%d,%d,%d,%d\r\n",
-						ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->m_path,
+						projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->m_path,
 						pos.x,
 						pos.y,
@@ -2043,5 +2043,5 @@
 		}
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_RAD){
-			BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+			BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 			{
 				if(lstrcmpi(MdiInfo[WndNum].path,pWindowInfo->GetName().c_str())==0){
@@ -2053,6 +2053,6 @@
 		}
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_MENU){
-			for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-				if(lstrcmpi(MdiInfo[WndNum].path,ProjectInfo.pMenuInfo[i].IdName)==0){
+			for(i=0;i<projectInfo.NumberOfMenu;i++){
+				if(lstrcmpi(MdiInfo[WndNum].path,projectInfo.pMenuInfo[i].IdName)==0){
 					sprintf(buffer+i2,"menu,%s\r\n",MdiInfo[WndNum].path);
 					i2+=lstrlen(buffer+i2);
@@ -2062,9 +2062,9 @@
 		}
 		else if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
-			for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-				lstrcpy(temporary,ProjectInfo.res.pIconResInfo[i].path);
-				GetFullPath(temporary,ProjectInfo.dir);
+			for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+				lstrcpy(temporary,projectInfo.res.pIconResInfo[i].path);
+				GetFullPath(temporary,projectInfo.dir);
 				if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
-					sprintf(buffer+i2,"icon,%s\r\n",ProjectInfo.res.pIconResInfo[i].path);
+					sprintf(buffer+i2,"icon,%s\r\n",projectInfo.res.pIconResInfo[i].path);
 					i2+=lstrlen(buffer+i2);
 					break;
@@ -2116,5 +2116,5 @@
 
 	//保存
-	sprintf(temporary,"%s%s.wrk",ProjectInfo.dir,ProjectInfo.name);
+	sprintf(temporary,"%s%s.wrk",projectInfo.dir,projectInfo.name);
 	WriteBuffer(temporary,buffer,i2);
 }
@@ -2129,5 +2129,5 @@
 
 	//プロジェクトファイルのバージョンを設定
-	ProjectInfo.dwVersion=PROJECT_VERSION;
+	projectInfo.dwVersion=PROJECT_VERSION;
 
 	hChild=GetWindow(hClient,GW_CHILD);
@@ -2136,6 +2136,6 @@
 		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum].DocType)){
 			if( MdiInfo[WndNum].pMdiTextEdit->IsModified() ){
-				for(i=0;i<ProjectInfo.pobj_DBFileInfo->iNum;i++){
-					ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
+				for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
+					projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
 					if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
 						SaveDocument(hChild,NULL);
@@ -2147,7 +2147,7 @@
 		if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
 			if(MdiInfo[WndNum].MdiIconEditInfo->bModify){
-				for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
-					lstrcpy(temporary,ProjectInfo.res.pIconResInfo[i].path);
-					GetFullPath(temporary,ProjectInfo.dir);
+				for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
+					lstrcpy(temporary,projectInfo.res.pIconResInfo[i].path);
+					GetFullPath(temporary,projectInfo.dir);
 					if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
 						SaveDocument(hChild,NULL);
@@ -2165,35 +2165,35 @@
 	lstrcpy(buffer,"\' ActiveBasic Project file.\r\n\r\n");
 	i2=lstrlen(buffer);
-	sprintf(buffer+i2,"#VERSION=%d\r\n\r\n",ProjectInfo.dwVersion);
+	sprintf(buffer+i2,"#VERSION=%d\r\n\r\n",projectInfo.dwVersion);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#MODULETYPE=%d\r\n\r\n",ProjectInfo.dwModuleType);
+	sprintf(buffer+i2,"#MODULETYPE=%d\r\n\r\n",projectInfo.dwModuleType);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#NAME=%s\r\n\r\n",ProjectInfo.name);
+	sprintf(buffer+i2,"#NAME=%s\r\n\r\n",projectInfo.name);
 	i2+=lstrlen(buffer+i2);
 	extern HWND hSelectCompilerCombo;
 	if(SendMessage(hSelectCompilerCombo,CB_GETCURSEL,0,0)==0){
-		sprintf(buffer+i2,"#PLATFORM=32\r\n\r\n",ProjectInfo.name);
+		sprintf(buffer+i2,"#PLATFORM=32\r\n\r\n",projectInfo.name);
 		i2+=lstrlen(buffer+i2);
 	}
 	else{
-		sprintf(buffer+i2,"#PLATFORM=64\r\n\r\n",ProjectInfo.name);
+		sprintf(buffer+i2,"#PLATFORM=64\r\n\r\n",projectInfo.name);
 		i2+=lstrlen(buffer+i2);
 	}
-	sprintf(buffer+i2,"#USEWINDOW=%d\r\n\r\n",ProjectInfo.windowInfos.size());
+	sprintf(buffer+i2,"#USEWINDOW=%d\r\n\r\n",projectInfo.windowInfos.size());
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#OPTION=&H%08x\r\n\r\n",ProjectInfo.dwOption);
+	sprintf(buffer+i2,"#OPTION=&H%08x\r\n\r\n",projectInfo.dwOption);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#OUTPUT_RELEASE=%s\r\n\r\n",ProjectInfo.lpszOutput_Release);
+	sprintf(buffer+i2,"#OUTPUT_RELEASE=%s\r\n\r\n",projectInfo.lpszOutput_Release);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#OUTPUT_DEBUG=%s\r\n\r\n",ProjectInfo.lpszOutput_Debug);
+	sprintf(buffer+i2,"#OUTPUT_DEBUG=%s\r\n\r\n",projectInfo.lpszOutput_Debug);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#MANIFEST=%s\r\n\r\n",ProjectInfo.szManifestPath);
+	sprintf(buffer+i2,"#MANIFEST=%s\r\n\r\n",projectInfo.szManifestPath);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#DEBUG_CMD_LINE=%s\r\n\r\n",ProjectInfo.szCmdLine);
+	sprintf(buffer+i2,"#DEBUG_CMD_LINE=%s\r\n\r\n",projectInfo.szCmdLine);
 	i2+=lstrlen(buffer+i2);
-	sprintf(buffer+i2,"#DEBUG_EXE_PATH=%s\r\n\r\n",ProjectInfo.szExePath);
+	sprintf(buffer+i2,"#DEBUG_EXE_PATH=%s\r\n\r\n",projectInfo.szExePath);
 	i2+=lstrlen(buffer+i2);
-	if(ProjectInfo.ResourceFileName[0]){
-		sprintf(buffer+i2,"#RESOURCE=%s\r\n\r\n",ProjectInfo.ResourceFileName);
+	if(projectInfo.ResourceFileName[0]){
+		sprintf(buffer+i2,"#RESOURCE=%s\r\n\r\n",projectInfo.ResourceFileName);
 		i2+=lstrlen(buffer+i2);
 	}
@@ -2204,11 +2204,11 @@
 	sprintf(buffer+i2,"#SOURCE\r\n");
 	i2+=lstrlen(buffer+i2);
-	for(i=0;i<ProjectInfo.pobj_DBFileInfo->iNum;i++){
-		sprintf(buffer+i2,"%s\r\n",ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->m_path);
+	for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
+		sprintf(buffer+i2,"%s\r\n",projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->m_path);
 		i2+=lstrlen(buffer+i2);
 	}
 
 	//保存
-	sprintf(temporary,"%s%s.pj",ProjectInfo.dir,ProjectInfo.name);
+	sprintf(temporary,"%s%s.pj",projectInfo.dir,projectInfo.name);
 	WriteBuffer(temporary,buffer,i2);
 
@@ -2216,22 +2216,22 @@
 	//////////////////////////////////
 	// リソースファイル（*.rc、resource.ab）を作成
-	if(ProjectInfo.ResourceFileName[0]){
+	if(projectInfo.ResourceFileName[0]){
 		i2=0;
 		i3=101;
-		for(i=0;i<ProjectInfo.res.NumberOfCursorRes;i++,i3++){
+		for(i=0;i<projectInfo.res.NumberOfCursorRes;i++,i3++){
 			sprintf(buffer+i2,"Const %s=%d\r\n",
-				ProjectInfo.res.pCursorResInfo[i].IdName,
+				projectInfo.res.pCursorResInfo[i].IdName,
 				i3);
 			i2+=lstrlen(buffer+i2);
 		}
-		for(i=0;i<ProjectInfo.res.NumberOfBitmapRes;i++,i3++){
+		for(i=0;i<projectInfo.res.NumberOfBitmapRes;i++,i3++){
 			sprintf(buffer+i2,"Const %s=%d\r\n",
-				ProjectInfo.res.pBitmapResInfo[i].IdName,
+				projectInfo.res.pBitmapResInfo[i].IdName,
 				i3);
 			i2+=lstrlen(buffer+i2);
 		}
-		for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++,i3++){
+		for(i=0;i<projectInfo.res.NumberOfIconRes;i++,i3++){
 			sprintf(buffer+i2,"Const %s=%d\r\n",
-				ProjectInfo.res.pIconResInfo[i].IdName,
+				projectInfo.res.pIconResInfo[i].IdName,
 				i3);
 			i2+=lstrlen(buffer+i2);
@@ -2240,37 +2240,37 @@
 		//保存（resource.ab）
 		lstrcpy(temporary,"resource.ab");
-		GetFullPath(temporary,ProjectInfo.dir);
+		GetFullPath(temporary,projectInfo.dir);
 		WriteBuffer(temporary,buffer,i2);
 
 		i2=0;
-		for(i=0;i<ProjectInfo.res.NumberOfCursorRes;i++){
+		for(i=0;i<projectInfo.res.NumberOfCursorRes;i++){
 			sprintf(buffer+i2,"%s CURSOR \"%s\"\r\n",
-				ProjectInfo.res.pCursorResInfo[i].IdName,
-				ProjectInfo.res.pCursorResInfo[i].path);
+				projectInfo.res.pCursorResInfo[i].IdName,
+				projectInfo.res.pCursorResInfo[i].path);
 			i2+=lstrlen(buffer+i2);
 		}
-		for(i=0;i<ProjectInfo.res.NumberOfBitmapRes;i++){
+		for(i=0;i<projectInfo.res.NumberOfBitmapRes;i++){
 			sprintf(buffer+i2,"%s BITMAP \"%s\"\r\n",
-				ProjectInfo.res.pBitmapResInfo[i].IdName,
-				ProjectInfo.res.pBitmapResInfo[i].path);
+				projectInfo.res.pBitmapResInfo[i].IdName,
+				projectInfo.res.pBitmapResInfo[i].path);
 			i2+=lstrlen(buffer+i2);
 		}
-		for(i=0;i<ProjectInfo.res.NumberOfIconRes;i++){
+		for(i=0;i<projectInfo.res.NumberOfIconRes;i++){
 			sprintf(buffer+i2,"%s ICON \"%s\"\r\n",
-				ProjectInfo.res.pIconResInfo[i].IdName,
-				ProjectInfo.res.pIconResInfo[i].path);
+				projectInfo.res.pIconResInfo[i].IdName,
+				projectInfo.res.pIconResInfo[i].path);
 			i2+=lstrlen(buffer+i2);
 		}
 
 		//マニフェスト
-		if(ProjectInfo.dwOption&PJ_OP_RC_MANIFEST){
+		if(projectInfo.dwOption&PJ_OP_RC_MANIFEST){
 			sprintf(buffer+i2,"CREATEPROCESS_MANIFEST_RESOURCE_ID RT_MANIFEST \"%s\"\r\n",
-				ProjectInfo.szManifestPath);
+				projectInfo.szManifestPath);
 			i2+=lstrlen(buffer+i2);
 		}
 
 		//保存
-		lstrcpy(temporary,ProjectInfo.ResourceFileName);
-		GetFullPath(temporary,ProjectInfo.dir);
+		lstrcpy(temporary,projectInfo.ResourceFileName);
+		GetFullPath(temporary,projectInfo.dir);
 		WriteBuffer(temporary,buffer,i2);
 	}
@@ -2282,6 +2282,6 @@
 	lstrcpy(buffer,"' インデックス プログラム\r\n");
 	i2=lstrlen(buffer);
-	if(ProjectInfo.dwOption&PJ_OP_SOURCE_MASK){
-		if(ProjectInfo.dwOption&PJ_OP_STRICT){
+	if(projectInfo.dwOption&PJ_OP_SOURCE_MASK){
+		if(projectInfo.dwOption&PJ_OP_STRICT){
 			/* #strictディレクティブは今は使われていない
 			lstrcpy(buffer+i2,"\r\n");
@@ -2297,22 +2297,22 @@
 		lstrcpy(buffer+i2,"'Win32APIの定義ファイル\r\n");
 		i2+=lstrlen(buffer+i2);
-		if(ProjectInfo.dwOption&PJ_OP_MMSYSTEM){
+		if(projectInfo.dwOption&PJ_OP_MMSYSTEM){
 			lstrcpy(buffer+i2,"#include <api_mmsys.sbp>\r\n");
 			i2+=lstrlen(buffer+i2);
 		}
-		if(ProjectInfo.dwOption&PJ_OP_COMMCTRL){
+		if(projectInfo.dwOption&PJ_OP_COMMCTRL){
 			lstrcpy(buffer+i2,"#include <api_commctrl.sbp>\r\n");
 			i2+=lstrlen(buffer+i2);
 		}
-		if(ProjectInfo.dwOption&PJ_OP_RICHEDIT){
+		if(projectInfo.dwOption&PJ_OP_RICHEDIT){
 			lstrcpy(buffer+i2,"#include <api_richedit.sbp>\r\n");
 			i2+=lstrlen(buffer+i2);
 		}
-		if(ProjectInfo.dwOption&PJ_OP_WINSOCK){
+		if(projectInfo.dwOption&PJ_OP_WINSOCK){
 			lstrcpy(buffer+i2,"#include <api_winsock2.sbp>\r\n");
 			i2+=lstrlen(buffer+i2);
 		}
 	}
-	if( !ProjectInfo.windowInfos.empty() )
+	if( !projectInfo.windowInfos.empty() )
 	{
 		lstrcpy(buffer+i2,"\r\n");
@@ -2323,12 +2323,12 @@
 		i2+=lstrlen(buffer+i2);
 	}
-	if(ProjectInfo.pobj_DBFileInfo->iNum>1){
+	if(projectInfo.pobj_DBFileInfo->iNum>1){
 		lstrcpy(buffer+i2,"\r\n");
 		i2+=lstrlen(buffer+i2);
 		lstrcpy(buffer+i2,"'プロジェクト内のプログラム ファイル\r\n");
 		i2+=lstrlen(buffer+i2);
-		for(i=1;i<ProjectInfo.pobj_DBFileInfo->iNum;i++){
+		for(i=1;i<projectInfo.pobj_DBFileInfo->iNum;i++){
 			//メインファイルは含まない
-			sprintf(buffer+i2,"#include \"%s\"\r\n",ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->m_path);
+			sprintf(buffer+i2,"#include \"%s\"\r\n",projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->m_path);
 			i2+=lstrlen(buffer+i2);
 			lstrcpy(buffer+i2,"_ClearNamespaceImported\r\n");
@@ -2336,5 +2336,5 @@
 		}
 	}
-	if( !ProjectInfo.windowInfos.empty() )
+	if( !projectInfo.windowInfos.empty() )
 	{
 		lstrcpy(buffer+i2,"\r\n");
@@ -2345,5 +2345,5 @@
 		i2+=lstrlen(buffer+i2);
 	}
-	if(ProjectInfo.ResourceFileName[0]){
+	if(projectInfo.ResourceFileName[0]){
 		//リソースファイルが含まれる場合
 		lstrcpy(buffer+i2,"\r\n");
@@ -2353,20 +2353,20 @@
 		lstrcpy(buffer+i2,"#include \"resource.ab\"\r\n");
 		i2+=lstrlen(buffer+i2);
-		sprintf(buffer+i2,"#resource \"%s.rc\"\r\n",ProjectInfo.name);
+		sprintf(buffer+i2,"#resource \"%s.rc\"\r\n",projectInfo.name);
 		i2+=lstrlen(buffer+i2);
 	}
 
 	//保存
-	sprintf(temporary,"%s%s.idx",ProjectInfo.dir,ProjectInfo.name);
+	sprintf(temporary,"%s%s.idx",projectInfo.dir,projectInfo.name);
 	WriteBuffer(temporary,buffer,i2);
 
 
-	if( !ProjectInfo.windowInfos.empty() )
+	if( !projectInfo.windowInfos.empty() )
 	{
 		/////////////////////////////////////////////////////
 		//ウィンドウ関連ファイル（*.wnd）を作成、保存
-		if(ProjectInfo.ModifyOfMaterial){
-			sprintf(temporary,"%s%s.wnd",ProjectInfo.dir,ProjectInfo.name);
-			SaveWindowFile( temporary, ProjectInfo.windowInfos );
+		if(projectInfo.ModifyOfMaterial){
+			sprintf(temporary,"%s%s.wnd",projectInfo.dir,projectInfo.name);
+			SaveWindowFile( temporary, projectInfo.windowInfos );
 		}
 
@@ -2380,6 +2380,6 @@
 	SetStatusText("");
 
-	ProjectInfo.modify=0;
-	ProjectInfo.ModifuOfResource=0;
+	projectInfo.modify=0;
+	projectInfo.ModifuOfResource=0;
 }
 
@@ -2388,5 +2388,5 @@
 	WIN32_FIND_DATA wfd;
 
-	if(ProjectInfo.pobj_DBFileInfo->iNum==0){
+	if(projectInfo.pobj_DBFileInfo->iNum==0){
 		//"プログラム ファイルがプロジェクトに存在しません。"
 		MessageBox(hOwner,STRING_ERROR_NOFILE,STRING_ERROR,MB_OK|MB_ICONEXCLAMATION);
@@ -2404,6 +2404,6 @@
 
 	//プロジェクト構造のバージョンが違う時は、再保存する
-	if(ProjectInfo.dwVersion<PROJECT_VERSION)
-		ProjectInfo.ModifyOfMaterial=1;
+	if(projectInfo.dwVersion<PROJECT_VERSION)
+		projectInfo.ModifyOfMaterial=1;
 
 	//保存確認
@@ -2419,7 +2419,7 @@
 	FILETIME SourceTime,ExeTime;
 
-	if(bDebug) lstrcpy(temporary,ProjectInfo.lpszOutput_Debug);
-	else lstrcpy(temporary,ProjectInfo.lpszOutput_Release);
-	GetFullPath(temporary,ProjectInfo.dir);
+	if(bDebug) lstrcpy(temporary,projectInfo.lpszOutput_Debug);
+	else lstrcpy(temporary,projectInfo.lpszOutput_Release);
+	GetFullPath(temporary,projectInfo.dir);
 
 	hFind=FindFirstFile(temporary,&wfd);
@@ -2431,6 +2431,6 @@
 	CloseHandle(hFile);
 
-	for(i2=0;i2<ProjectInfo.pobj_DBFileInfo->iNum;i2++){
-		ProjectInfo.pobj_DBFileInfo->ppobj_FileInfo[i2]->GetFullPath(temporary);
+	for(i2=0;i2<projectInfo.pobj_DBFileInfo->iNum;i2++){
+		projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i2]->GetFullPath(temporary);
 		hFile=CreateFile(temporary,GENERIC_READ,FILE_SHARE_READ|FILE_SHARE_WRITE,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);
 		GetFileTime(hFile,NULL,NULL,&SourceTime);
@@ -2441,9 +2441,9 @@
 			SourceTime.dwLowDateTime>ExeTime.dwLowDateTime) return 1;
 	}
-	if( !ProjectInfo.windowInfos.empty() )
+	if( !projectInfo.windowInfos.empty() )
 	{
 		//CallBack.wbp
 		lstrcpy(temporary,"CallBack.wbp");
-		GetFullPath(temporary,ProjectInfo.dir);
+		GetFullPath(temporary,projectInfo.dir);
 		hFile=CreateFile(temporary,GENERIC_READ,FILE_SHARE_READ|FILE_SHARE_WRITE,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);
 		GetFileTime(hFile,NULL,NULL,&SourceTime);
@@ -2455,5 +2455,5 @@
 		//MakeWindow.wbp
 		lstrcpy(temporary,"MakeWindow.wbp");
-		GetFullPath(temporary,ProjectInfo.dir);
+		GetFullPath(temporary,projectInfo.dir);
 		hFile=CreateFile(temporary,GENERIC_READ,FILE_SHARE_READ|FILE_SHARE_WRITE,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);
 		GetFileTime(hFile,NULL,NULL,&SourceTime);
